﻿import { async, ComponentFixture, TestBed } from '@angular/core/testing';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';
import { TranslateModule, TranslateService, TranslateLoader, TranslateParser } from 'ng2-translate';
import { RouterTestingModule } from '@angular/router/testing';

import { SignInComponent } from './sign-in.component';
import { AuthenticationService } from '../../services/authentication.service';
import { AuthenticationHolderService } from '../../services/authentication-holder.service';
import { UiUtilsService } from '../../services/ui-utils.service';


describe('SignInComponent', () => {
	let component: SignInComponent;
	let fixture: ComponentFixture<SignInComponent>;

	beforeEach(async(() => {
		TestBed
			.configureTestingModule({
				declarations: [SignInComponent],
				imports: [
					FormsModule,
					TranslateModule,					
					RouterTestingModule.withRoutes([{ path: '', component: SignInComponent }]) 
                ], 
				providers: [
					AuthenticationService,
					AuthenticationHolderService,
					UiUtilsService,
					TranslateService,
					TranslateLoader,
					TranslateParser
				]
			})
			.compileComponents();
	}));

	beforeEach(() => {
		fixture = TestBed.createComponent(SignInComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
