﻿import { ModuleWithProviders } from "@angular/core";
import { RouterModule, Routes } from "@angular/router";

import { AppComponent } from "./app.component";
import { HeaderComponent } from "./structure/header/header.component";
import { SignInComponent } from './account/sign-in/sign-in.component';
import { HomeComponent } from './home/home/home.component';
import { CategoriesComponent } from './categories/categories/categories.component';

import { IsAuthenticatedGuard } from './guards/is-authenticated.guard';
import { IsAnonymousGuard } from './guards/is-anonymous.guard';

const appRoutes: Routes = [
	{ path: '', component: HomeComponent, canActivate: [ IsAuthenticatedGuard ] },	
	{ path: 'sign-in', component: SignInComponent, canActivate: [IsAnonymousGuard] },	
	{ path: 'categories', component: CategoriesComponent, canActivate: [IsAuthenticatedGuard] },	
	{ path: "**", redirectTo: '', pathMatch: "full" }
];

export const AppRouting: ModuleWithProviders = RouterModule.forRoot(appRoutes);
