﻿import { Injectable } from '@angular/core';
import { Router } from '@angular/router';
import { CanActivate, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs/Observable';

import { AuthenticationHolderService } from '../services/authentication-holder.service';

@Injectable()
export class IsAnonymousGuard implements CanActivate {

	constructor(
		private authenticationHolderService: AuthenticationHolderService,
		private router: Router) {
	}

    /**
     * Can activate component
     * @param next Next route
     * @param state Current state
     */
	public canActivate(
		next: ActivatedRouteSnapshot,
		state: RouterStateSnapshot): Observable<boolean> | Promise<boolean> | boolean {

        //If user is NOT authenticated
		if (!this.authenticationHolderService.isAuthenticated) {

            //Confirm
			return true;
		}

        //Otherwise, is authenticated, redirect to home
		this.router.navigate(['']);
		return false;
	}
}
