﻿import { Pipe, PipeTransform } from '@angular/core';
import * as moment from 'moment';

@Pipe({
	name: 'momentDate'
})
export class MomentDatePipe implements PipeTransform {

    /**
     * Executes transform of data
     * @param value String value
     * @param format String format
     */
	public transform(value: string, format?: any): any {

		//Source => '2017-02-21T11:29:45Z'

		//If value is empty, return
		if (!value) {
			return "";
		}

		//Get string as moment date
		var momentDate = moment(value);

		//If exponent is undefined, set default
		if (!format) {
			format = "YYYY-MM-DD HH:mm"
		}

		//Do format and returns
		let target: string = momentDate.format(format);
		return target;
	}

}
