﻿import { Component, OnInit } from '@angular/core';

import { environment } from '../../../environments/environment';
import { AuthenticationHolderService } from '../../services/authentication-holder.service';

@Component({
  selector: 'app-footer',
  templateUrl: './footer.component.html',
  styleUrls: ['./footer.component.css']
})
export class FooterComponent implements OnInit {

    //Bindables
	public version: string = null;
	public authentication: AuthenticationHolderService = null;

    /**
     * Constructor
     * @param authenticationHolderService
     */
	constructor(
		private authenticationHolderService: AuthenticationHolderService) {
	}

    /**
     * Raised on component init
     */
	public ngOnInit() {

		this.authentication = this.authenticationHolderService;
		this.version = environment.version;		
	}
}
