//Requires
let express = require("express");
let cors = require('cors');
let bodyParser = require('body-parser');
let defaultRoute = require("./routes/default");
let authenticationRoute = require("./routes/authentication");
let databankRoute = require("./routes/databank");

//Create "express" application
let app = express();

//Enable CORS for every request
app.use(cors());

//Configure body-parser to deserialize data from body
app.use(bodyParser.urlencoded({ extended: true }));
app.use(bodyParser.json());

//Set environment port or 9000
let port = process.env.PORT || 9000;

//Create mapping for every area
app.use('/', defaultRoute);
app.use('/api/Authentication', authenticationRoute);
app.use('/api/Databank', databankRoute);

//Start to server
app.listen(port);
console.log('Service available on port ' + port + '...');