let express = require('express');
let router = express.Router();
let jslinq = require("jslinq");
let categories = require('../data/categories');
let users = require('../data/users');

//Define default route for module
router.get('/', function (req, res) {

	//Just send text to client
	res.send('Hello: this is "Databank" default route');
});


//Define "FetchAllCategories" route
router.route('/FetchAllCategories').post(function (req, res) {

	//Order data by code
	let result = jslinq(categories)
		.orderBy(el => el.code)
		.toList();

	//Provide response
	res.json(result);
});

//Define "CountAllCategories" route
router.route('/CountAllCategories').post(function (req, res) {

	//Count elements
	let count = categories.length;

	//Provide response
	res.json({ value: count });
});

//Define "CountAllUsers" route
router.route('/CountAllUsers').post(function (req, res) {

	//Count elements
	let count = users.length;

	//Provide response
	res.json({ value: count });
});

//Export
module.exports = router;